This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### red()
Examples |
    color c = color(255, 204, 0);  // Define color 'c'
    fill(c);  // Use color variable 'c' as fill color
    rect(15, 20, 35, 60);  // Draw left rectangle

    float redValue = red(c);  // Get red in 'c'
    println(redValue);  // Print "255.0"
    fill(redValue, 0, 0);  // Use 'redValue' in new fill
    rect(50, 20, 35, 60);  // Draw right rectangle
Description | Extracts the red value from a color, scaled to match current colorMode(). The value is always returned as a float, so be careful not to assign it to an int value. The red() function is easy to use and understand, but it is slower than a technique called bit shifting. When working in colorMode(RGB, 255), you can acheive the same results as red() but with greater speed by using the right shift operator (>>) with a bit mask. For example, the following two lines of code are equivalent means of getting the red value of the color value c:
    float r1 = red(c);  // Simpler, but slower to calculate
    float r2 = c >> 16 & 0xFF;  // Very fast to calculate
Syntax |
    red(rgb)
Parameters |
rgb | int: any value of the color datatype
Returns | float
Related | green() blue() alpha() hue() saturation() brightness() >> (right shift)

Updated on October 26, 2013 08:58:32pm PDT